- Qt 5.5
- Qt Multimedia
- C++ Classes
- QRadioDataControl
- Qt 5.5.1 Reference Documentation

# QRadioDataControl Class

The QRadioDataControl class provides access to the RDS functionality of the radio in the QMediaService. More...

Header: | #include <QRadioDataControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QRadioDataControl()
virtual QRadioData::Error | error() const = 0
virtual QString | errorString() const = 0
virtual bool | isAlternativeFrequenciesEnabled() const = 0
virtual QRadioData::ProgramType | programType() const = 0
virtual QString | programTypeName() const = 0
virtual QString | radioText() const = 0
virtual void | setAlternativeFrequenciesEnabled(bool enabled) = 0
virtual QString | stationId() const = 0
virtual QString | stationName() const = 0

## Signals

void | alternativeFrequenciesEnabledChanged(bool enabled)
void | error(QRadioData::Error error)
void | programTypeChanged(QRadioData::ProgramType programType)
void | programTypeNameChanged(QString programTypeName)
void | radioTextChanged(QString radioText)
void | stationIdChanged(QString stationId)
void | stationNameChanged(QString stationName)

## Protected Functions

| QRadioDataControl(QObject * parent = 0)

## Macros

| QRadioDataControl_iid

## Detailed Description

The QRadioDataControl class provides access to the RDS functionality of the radio in the QMediaService.

The functionality provided by this control is exposed to application code through the QRadioData class.

The interface name of QRadioDataControl is `org.qt-project.qt.radiodatacontrol/5.0` as defined in QRadioDataControl_iid.

See also QMediaService::requestControl() and QRadioData.

## Member Function Documentation

### `[protected]` QRadioDataControl::QRadioDataControl(QObject * parent = 0)

Constructs a radio data control with the given parent.

### QRadioDataControl::~QRadioDataControl()

Destroys a radio data control.

### `[signal]` void QRadioDataControl::alternativeFrequenciesEnabledChanged(bool enabled)

Signals that the alternative frequencies setting has changed to the value of enabled.

### `[pure virtual]` QRadioData::Error QRadioDataControl::error() const

Returns the error state of a radio data.

### `[signal]` void QRadioDataControl::error(QRadioData::Error error)

Signals that an error has occurred.

### `[pure virtual]` QString QRadioDataControl::errorString() const

Returns a string describing a radio data's error state.

### `[pure virtual]` bool QRadioDataControl::isAlternativeFrequenciesEnabled() const

Returns true if Alternative Frequency is currently enabled

### `[pure virtual]` QRadioData::ProgramType QRadioDataControl::programType() const

Returns the current Program Type

### `[signal]` void QRadioDataControl::programTypeChanged(QRadioData::ProgramType programType)

Signals that the Program Type programType has changed

### `[pure virtual]` QString QRadioDataControl::programTypeName() const

Returns the current Program Type Name

### `[signal]` void QRadioDataControl::programTypeNameChanged(QString programTypeName)

Signals that the Program Type Name programTypeName has changed

### `[pure virtual]` QString QRadioDataControl::radioText() const

Returns the current Radio Text

### `[signal]` void QRadioDataControl::radioTextChanged(QString radioText)

Signals that the Radio Text radioText has changed

### `[pure virtual]` void QRadioDataControl::setAlternativeFrequenciesEnabled(bool enabled)

Sets the Alternative Frequency to enabled

See also isAlternativeFrequenciesEnabled().

### `[pure virtual]` QString QRadioDataControl::stationId() const

Returns the current Program Identification

### `[signal]` void QRadioDataControl::stationIdChanged(QString stationId)

Signals that the Program Identification stationId has changed

### `[pure virtual]` QString QRadioDataControl::stationName() const

Returns the current Program Service

### `[signal]` void QRadioDataControl::stationNameChanged(QString stationName)

Signals that the Program Service stationName has changed

## Macro Documentation

### QRadioDataControl_iid

`org.qt-project.qt.radiodatacontrol/5.0`

Defines the interface name of the QRadioDataControl class.